:root {
    --clr-primary: #000000;
    --clr-lightgray: #505050;
    --clr-accent: #ECE6DD;
}

h1 {
    font-size: 90px;
    font-weight: 400;
    text-transform: uppercase;
    margin-left: -7px;
}

label {
    text-wrap: nowrap;
}

.no-scroll {
    overflow: hidden;
}

.display-revert {
    display: revert;
}

.display-none {
    display: none;
}

.page-template .hero-section {
    padding-top: 0;
    height: auto;
    background-color: var(--clr-accent);
}

.hero-flat.inactive-link {
    pointer-events: none;
    cursor: default;
}

.building-floors {
    position: relative;
}

.building-floors svg a path {
    transition: .3s;
}

.building-floors svg a:hover path {
    fill: white;
}


.floor-infos {
    position: absolute;
    display: grid;
    place-content: center;
    gap: 2px;
    text-align: center;
    /* height: 144px;
    width: 144px; */
    background: #ECE6DD;
    border-radius: 50%;
    color: #000000;
    width: clamp(5.625rem, 11.489vw - 0.335rem, 9rem);
    height: clamp(5.625rem, 11.489vw - 0.335rem, 9rem);
}

.floor-infos .floor_num {
    font-weight: 700;
    color: var(--clr-primary);
    font-size: clamp(0.9375rem, 0.3856rem + 1.0638vw, 1.25rem);
}

.floor-infos .floor_lofts {
    font-size: clamp(0.8125rem, 0.4814rem + 0.6383vw, 1rem);
    color: var(--clr-lightgray);
}

.floor-infos.floor-2-infos {
    top: 37%;
    left: 70%;
}

.floor-infos.floor-1-infos {
    bottom: 22%;
    left: 6%;
}




.filter-wrapper {
    background-color: var(--clr-accent);
    margin-top: -6px;
    transition: height 1s;
}

.filter {
    padding: 50px;
    transition: height 1s;
}

input [type="checkbox"]:not(:checked),
input [type="checkbox"]:checked {
    position: absolute;
    left: -9999px
}

input [type="checkbox"]:not(:checked)+label,
input [type="checkbox"]:checked+label {
    position: relative;
    padding-left: 25px;
    cursor: pointer
}

input [type="checkbox"]:not(:checked)+label:before,
input [type="checkbox"]:checked+label:before {
    content: "";
    position: absolute;
    left: 0;
    top: 2px;
    width: 17px;
    height: 17px;
    border: 1px solid #aaa;
    background: #f8f8f8;
    border-radius: 3px;
    box-shadow: inset 0 1px 3px rgba(0, 0, 0, .3)
}

input [type="checkbox"]:not(:checked)+label:after,
input [type="checkbox"]:checked+label:after {
    content: "\2714";
    position: absolute;
    top: -2px;
    left: 0;
    font-size: 27px;
    line-height: .8;
    color: #09ad7e;
    transition: all 0.2s
}

input [type="checkbox"]:not(:checked)+label:after {
    opacity: 0;
    transform: scale(0)
}

.filter input[type="checkbox"] {
    position: unset;
    appearance: none;
    width: 18px;
    height: 18px;
    border: 2px solid #000;
    border-radius: 3px;
    display: grid;
    place-content: center;
    cursor: pointer;
    transition: .2s;
}

.filter input[type="checkbox"]::before {
    content: "";
    width: 0.65em;
    height: 0.65em;
    -webkit-clip-path: polygon(14% 44%, 0 65%, 50% 100%, 100% 16%, 80% 0%, 43% 62%);
    clip-path: polygon(14% 44%, 0 65%, 50% 100%, 100% 16%, 80% 0%, 43% 62%);
    transform: scale(0);
    transform-origin: bottom left;
    transition: 120ms transform ease-in-out;
    box-shadow: inset 1em 1em #000;
    background-color: transparent;
}

.filter input[type=checkbox]:checked::before {
    transform: scale(1);
}


.filter .filter_row {
    max-width: 1090px;
    margin-inline: auto;
    display: flex;
    /*  justify-content: center; */
    column-gap: 80px;
    row-gap: 32px;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-columns: 20% 30% 30% 15%;
    column-gap: 2%;
}

#price-range,
#surface-range,
#flat-height-range {
    margin-inline: 13px;
}

.filter .filter_block.range-container {
    width: 100%;
    max-width: 280px;
    /* width: 280px; */
    height: 90px;
}

.filter .filter_block.range-container h4 {
    margin-bottom: 24px;
}

.filter_more-options-row {
    /* display: none; */
    margin-top: 20px;
    max-height: 0;
    overflow: hidden;
    margin-top: 0;
    opacity: 0;
    transition: .75s;
    transition-property: opacity, max-height, margin, overflow;
    transition-delay: 0, 250ms, 500ms, .7s;

}

.filter_more-options-row.active {
    max-height: 500px;
    margin-top: 20px;
    overflow: unset;
    opacity: 1;
}

#filter_more-options-btn img {
    transition: .3s;
}

#filter_more-options-btn.active img {
    rotate: 180deg;
}

.apdaila-container {
    display: flex;
    gap: 30px;
    flex-wrap: wrap;
}

.value {

    position: absolute;
    top: 35px;
    left: 40%;
    margin: 0 0 0 -20px;
    width: 46px;
    text-align: center;
    display: block;

    /* optional */

    font-family: "Jost", sans-serif;
    font-size: 16px;
    color: var(--clr-primary);
}

.price-range-both.value {
    width: 100px;
    margin: 0 0 0 -50px;
    top: 26px;
}

.price-range-both {
    display: none;
}

.value i {
    font-style: normal;
}



body div.ui-slider-range.ui-widget-header {
    background: var(--clr-primary);
}

.ui-state-hover,
.ui-widget-content .ui-state-hover,
.ui-widget-header .ui-state-hover,
.ui-state-focus,
.ui-widget-content .ui-state-focus,
.ui-widget-header .ui-state-focus {
    background: var(--clr-primary) !important;
}

.ui-state-default,
.ui-widget-content .ui-state-default,
.ui-widget-header .ui-state-default {
    border-radius: 50%;
    font-size: 21px;

    &:focus {
        outline: none;
    }
}

.ui-slider .ui-slider-handle {
    width: 31px;
    height: 31px;
    background-color: var(--clr-accent);
    border: 2px solid var(--clr-primary);
}

span.ui-slider-handle.ui-corner-all.ui-state-default:focus {
    outline: none;
}

.ui-widget-content {
    color: #333333;
    height: 2px;
    border: none !important;
    background-color: lightgray;
}

.ui-slider-horizontal .ui-slider-handle {
    top: -15px;
}

.filter .filter_block h4 {
    font-size: 14px;
    font-weight: bold;
    text-transform: uppercase;
    margin-bottom: 11px;
}

.filter .floors {
    display: flex;
    gap: 10px;
}

.filter .floor {
    border: 2px solid var(--clr-primary);
    border-radius: 5px;
    padding: 11px 26px;
    cursor: pointer;
    transition: .3s;
}

.filter .floor:hover {
    background-color: rgba(0, 0, 0, .8);
    border: 2px solid rgba(0, 0, 0, .8);
    color: white;
}

.filter .floor.selected {
    background-color: var(--clr-primary);
    color: white;
}

/* FLATS */
#floor-1-plan {
    width: 100%;
    height: 100vh;
}

#floor-2-plan {
    width: 100%;
    height: 100vh;
    padding-top: 110px
}

.floor-flats svg a.available:hover path,
.floor-flats svg a.reserved:hover path,
.floor-flats svg a.sold:hover path {
    opacity: .5;
}


.tooltip {
    position: absolute;
    background-color: white;
    color: black;
    padding: 16px 18px;
    border-radius: 10px;
    display: none;
    pointer-events: none;
    max-width: 300px;
    width: 100%;
    z-index: 9999;
}

.tooltip h2 {
    font-size: 20px;
    line-height: 130%;
    margin-bottom: 8px;
}

.tooltip sup {
    line-height: 0;
    position: relative;
    vertical-align: middle;
    font-size: .5em;
    top: -0.5em;
}

.tooltip .tooltip-arrow {
    position: absolute;
    bottom: -16px;
    background: black;
    color: white;
    width: 32px;
    height: 32px;
    border-radius: 100%;
    display: grid;
    place-content: center;
    left: 50%;
    transform: translateX(-50%);
}

.tooltip .tooltip-status {
    padding: 3px 10px;
    font-size: 12px;
    font-weight: 700;
    line-height: 150%;
    text-transform: uppercase;
    border-radius: 5px;
    width: fit-content;
    color: #000000;
}

.tooltip .tooltip-status.available {
    background-color: #CBE9C9;
}

.tooltip .tooltip-status.sold {
    background-color: #E6C0B7;
}

.tooltip .tooltip-status.reserved {
    background-color: #F8EFCC;
}

/* FLATS TABLE */
.flats-table {
    position: relative;
    z-index: 0;
}

.flats-table table span {
    color: inherit;
    /* font-size: clamp(1rem, 0.5585rem + 0.8511vw, 1.25rem); */
    font-size: clamp(1rem, 0.8195rem + 0.3759vw, 1.125rem);
    text-wrap: nowrap;
}

.flats-table table {
    border-collapse: collapse;
}

.flats-table table th {
    text-align: left;
    text-transform: uppercase;
    font-size: 14px;
    padding-block: 15px;

}

.flats-table table tr {
    border-bottom: 2px solid #000;
    position: relative;
    padding-block: 2px;
}

.flats-table table tbody tr:hover {
    background: linear-gradient(90deg, rgba(255, 255, 255, 0) 0%, rgba(237, 230, 222, 0.4) 100%);
}

.flats-table table td {
    /* padding-block: 11px; */
    font-size: 18px;
    line-height: 130%;
    position: relative;
    z-index: 10;
}

.flats-table table td a {
    display: block;
    padding-block: 9px;
}

.flats-table .btn-container {
    display: flex;
    gap: 6px;
}

.flats-table .btn {
    padding: 8px 20px;
    font-size: clamp(0.75rem, 0.5293rem + 0.4255vw, 0.875rem);
    font-weight: 700;
    line-height: 150%;
    text-transform: uppercase;
    border-radius: 5px;
    width: fit-content;
}

.flats-table .btn-free {
    background-color: #CBE9C9;
}

.flats-table .btn-sold {
    background-color: #E6C0B7;
}

.flats-table .btn-reserved {
    background-color: #F8EFCC;
}

/* FLAT SINGLE */
.previous-page-btn {
    display: inline-flex;
    align-items: center;
    margin-bottom: 12px;
    font-size: 16px;
    font-weight: 500;
    text-transform: uppercase;
    margin-left: -12px;
}

.previous-page-btn.email-overlay {
    position: relative;
    z-index: 999;
}


.single-flat {
    background-color: var(--clr-accent);
}

.single-flat header {
    position: relative;
    margin-bottom: 22px;
}

.single-flat h1.flat {
    font-size: 90px;
    font-weight: 400;
    text-transform: uppercase;
    margin-left: -7px;
}

.single-flat .flat-location {
    width: 100%;
    height: 100vh;
    padding-top: 80px;
}

.btn-group {
    display: grid;
    gap: 20px;
}

.mobile-btns-group {
    display: none;
}

.btn.btn-with-icon {
    display: flex;
    gap: 10px;
    border: 2px solid black;
    border-radius: 5px;
    padding: 9px 26px;
}

.btn-with-icon span {
    font-size: 16px;
    color: black;
    line-height: 150%;
}

.flat-gallery {
    width: 100%;
    border-radius: 10px;
    flex: 1;
    max-height: 666px;
    /* background: white; */
}

/* .flat-gallery .swiper-wrapper {
    background: white;
} */

.flat-gallery .swiper-slide {
    height: 95%;
    border-radius: 10px;
    overflow: hidden;
    /* display: grid;
    place-content: center; */
    background-color: white;
}

.flat-gallery .swiper-slide img {
    /* max-width: 927px; */
    width: 100%;
    height: 100%;
    object-fit: cover;

}

.flat-gallery .flat-gallery-swiper-controls {
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    bottom: 7px;
    width: 100%;
    gap: 18px;
}

.flat-gallery .swiper-slide.flat-2d-plan img {
    object-fit: contain;
    padding: 26px;
}

.specification {
    margin-bottom: 58px;
    max-width: 868px;
}

.specification h2 {
    font-size: 40px;
    font-weight: 400;
    line-height: 110%;
    text-transform: uppercase;
    margin-bottom: 20px;
}

.specification p {
    font-size: 18px;
    margin-bottom: 14px;
}

.specification-content-wrapper {
    max-height: 90px;
    overflow: hidden;
    transition: all .4s ease-in-out;
}
/* .specification-content-wrapper.expanded{
    overflow: visible;
} */
.specification .btn {
    font-size: 16px;
    display: flex;
    align-items: center;
    gap: 10px;
    margin-top: 20px;
    cursor: pointer;
}
.specification .btn svg{
    transition: .4s;
}
.lightbox-container {
    background-color: rgba(0, 0, 0, 0.8);
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    /* z-index: 100; */
    z-index: -2;
    opacity: 0;
    transition: .3s;
}

.lightbox-container.open {
    z-index: 100;
    opacity: 1;
    padding-block: 50px;
}

.calculators-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
}

.calculator {
    border: 2px solid black;
    border-radius: 5px;
    padding: 60px 108px;
}

.calculator h2 {
    font-size: 40px;
    font-weight: 400;
    line-height: 110%;
    text-transform: uppercase;
    margin-bottom: 20px;
}

.calculator p {
    font-size: 16px;
    line-height: 160%;
    margin-bottom: 28px;
    max-width: 444px;
}

.calculator .calculator-inputs-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
    margin-bottom: 16px;
    display: flex;
    flex-direction: column;
}

.calculator .input-row,
.contact-form-container .input-row {
    display: grid;
    /*  margin-bottom: 20px; */
}

.calculator label {
    font-size: 14px;
    line-height: 130%;
    margin-bottom: 6px;
    display: flex;
    align-items: center;
    text-wrap: wrap;
}

.calculator input[type=number] {
    height: 40px;
    font-size: 18px;
    padding-left: 12px;
    border: none;
    -webkit-appearance: none;
    -moz-appearance: textfield;
    width: 100%;
    max-width: 202px;
}

.calculator input:focus {
    outline: none;
    outline: 1px solid;
}

.calculator-result {
    margin-top: 32px;
}

.calculator .calculator-result span {
    font-size: 16px;
    font-weight: 600;
    color: black;
}

.calculator .calculator-result h4 {
    font-size: 20px;
    font-weight: 400;
    line-height: 110%;
    text-transform: uppercase;
    margin-bottom: 22px;
}

.calculator .calculator-result table {
    border: none;
    padding: 0;
    margin-bottom: 0;
}

.calculator .radio-custom {
    width: 21px;
    height: 21px;
    border-radius: 50%;
    border: 1px solid #ccc;
    position: relative;
    margin-right: 10px;
    margin-top: 1px;
    display: grid;
    place-content: center;
}

.calculator .radio-custom .radio-checked {
    width: 11px;
    height: 11px;
    border-radius: 50%;
    background-color: #000;
    scale: 0;
    transition: 0.3s;
}

.calculator input[type="radio"]:checked+.radio-custom .radio-checked {
    scale: 1
}

.calculator .custom-radio-container {
    cursor: pointer;
    margin-right: 25px;
}

.open-email-overlay {
    cursor: pointer;
}

.send-email-overlay {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: -1;
    /* z-index: -2; */
    opacity: 0;
    transition: .3s;
    background-color: rgba(0, 0, 0, 0.5);
}

.send-email-overlay .close-email-overlay {
    z-index: 9999;
    position: absolute;
    left: 42%;
    top: 48px;
    cursor: pointer;
}

.send-email-overlay::before {
    content: "";
    position: fixed;
    width: 30%;
    height: 100%;
    left: 0;
    background-color: var(--clr-accent);
}

.send-email-overlay.open {
    opacity: 1;
    z-index: 99;
    /* overflow-y: scroll; */
}

.send-email-overlay .left {
    background-color: var(--clr-accent);
    height: 100vh;
    width: 45%;
    padding-right: 112px;
    position: relative;
    z-index: 999;
    overflow-y: scroll;
    padding-bottom: 24px;
}

.send-email-overlay h2 {
    font-size: 90px;
    line-height: 110%;
    text-transform: uppercase;
    font-weight: 400;
    position: relative;
    /* margin-top: 93px; */
}

.send-email-overlay .contact-infos {
    display: flex;
    gap: 62px;
    padding-block: 19px;
    border-block: 2px solid black;
    margin-bottom: 44px;
}

.send-email-overlay .contact-infos>div {
    display: flex;
    align-items: center;
    gap: 6px;
}

.send-email-overlay .contact-infos span {
    color: black;
    font-size: 18px;
}

.contact-form-container .input-row {
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
    margin-bottom: 15px;
}

.contact-form-container label {
    font-size: 14px;
    line-height: 130%;
    margin-bottom: 6px;
    text-wrap: unset;
}

.contact-form-container input[type="text"],
.contact-form-container input[type="email"],
.contact-form-container input[type="tel"] {
    height: 40px;
    font-size: 18px;
    padding-left: 12px;
    border: none;
    -webkit-appearance: none;
    -moz-appearance: textfield;
    width: 100%;
    margin-top: 6px;
    font-family: "Jost", sans-serif;
}

.contact-form-container input[type="text"]:focus,
.contact-form-container input[type="email"]:focus,
.contact-form-container textarea:focus {
    outline: none;
    outline: 1px solid;
}

.contact-form-container input[type="submit"] {
    cursor: pointer;
}

.contact-form-container textarea {
    width: 100%;
    border: none;
    outline: none;
    font-size: 18px;
    padding: 12px;
    margin-top: 6px;
    resize: vertical;
    margin-bottom: 34px;

}

.wpcf7-form {
    padding-inline: 2px;
}

form[data-status="invalid"] textarea {
    outline: 2px solid #FF3B3B;
}

.contact-form-container .screen-reader-response {
    display: none;
}

.contact-form-container input.wpcf7-not-valid {
    outline: 2px solid #FF3B3B;
}

.contact-form-container span.wpcf7-not-valid-tip {
    display: none;
}

.contact-form-container .btn {
    background: none;
}

form[data-status="sent"] .wpcf7-response-output {
    background: #54A452;
    text-align: center;
    font-weight: 700;
    padding-block: 8px;
    margin-top: 20px;
    color: white;
}

form[data-status="invalid"] .wpcf7-response-output {
    display: none;
}

.wpcf7 form.sent .wpcf7-response-output {
    margin-inline: 0;
    padding-block: 8px;
}

/* ABOUT US PAGE */
/* LOCATION SECTION */
.about-us-projects-section {
    padding: 80px 120px;
    overflow: hidden;
}

.about-us_project_swiper {
    border-radius: 10px;
}

.about-us_project {
    /*  display: flex;
    align-items: end;
    gap: 133px; */
    display: grid;
    grid-template-columns: 25% 75%;
    gap: 133px;
}

.about-us_project_swiper .swiper-slide {
    max-width: 642px !important;
    max-height: 489px !important;
    height: 489px;
}

.about-us_project_swiper .swiper-slide img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 10px;
}

.about-us_swiper_control.swiper-button-next {
    top: unset;
    bottom: 36px;
    right: 78px;
}

.about-us_swiper_control.swiper-button-prev {
    top: unset;
    left: unset;
    bottom: 36px;
    right: 158px;
}

.about-us-projects-section .project-container {
    margin-bottom: 140px;
}

.about-us-projects-section .project-container:last-of-type {
    margin-bottom: 0;
}

.calculator-tabs-radio {
    display: none;
}

.tabs {
    display: none;
}

.about-us-projects-section .zoom {
    position: absolute;
    right: 0;
    bottom: 36px;
    width: 70px;
    height: 70px;
    background-color: #f3f3f387;
    border-radius: 100px;
    display: grid;
    place-content: center;
    padding-top: 4px;
    padding-left: 4px;
    z-index: 99;
    cursor: pointer;
}

@media screen and (max-width: 1240px) {
    .calculator {
        padding: 32px 40px;
    }
}

@media screen and (max-width: 1024px) {

    /* ABOUT US */
    .page-template-about-us .hero-section .container {
        padding-inline: 20px;
    }

    .about-us-projects-section {
        padding-inline: 20px;
    }

    .about-us_project {
        display: flex;
        gap: 52px;
    }

    .about-us_project>div:first-of-type {
        max-width: 30%;
    }

    .about-us_project_swiper .swiper-slide {
        max-width: unset !important;
        max-height: unset !important;
        height: unset !important;
    }

    .about-us-projects-section .zoom {
        right: 8px;
        bottom: 8px;
    }

    .about-us_swiper_control.swiper-button-next {
        bottom: 8px;
        right: 86px;
    }

    .about-us_swiper_control.swiper-button-prev {
        bottom: 8px;
        right: 164px;
    }

    /* FILTER */
    .filter {
        padding-inline: 0;
    }

    .filter .filter_row {
        display: flex;
        column-gap: 40px;
        justify-content: space-between;
    }

    .filter .filter_more-options-row {
        justify-content: unset;
        flex-wrap: wrap;
        row-gap: unset;
    }

    .filter_more-options-row.active {
        margin-top: 40px;
    }

    #floor-1-plan,
    #floor-2-plan {
        height: unset;
        padding-top: 40px;
    }

    /*     .flats-table table span {
        font-size: clamp(1rem, 0.3378rem + 1.2766vw, 1.375rem);
    } */


    .single-flat .flat-location {
        height: unset;
        padding-top: 50px;
    }

    .send-email-overlay::before {
        width: 50%;
    }

    .send-email-overlay .left {
        width: 50%;
        padding-right: 20px;
    }

    .send-email-overlay .close-email-overlay {
        top: 48px;
        left: 45.5%;
    }
}

@media screen and (max-width: 930px) {
    .calculator {
        padding-block: 40px;
    }

    .tabs {
        display: flex;
        justify-content: space-around;
    }

    .calculators-container {
        grid-template-columns: 1fr;
        gap: 0;
    }

    .tab {
        cursor: pointer;
        padding: 10px 20px;
        /* margin: 0px 2px; */
        /* background: #000; */
        display: inline-block;
        color: var(--clr-lightgray);
        border-radius: 5px 5px 0 0;
        flex: 1;
        text-align: center;
    }

    .panel {
        display: none;
        animation: fadein .8s;
    }

    #loan-calculator:checked~#loan-calculator-panel,
    #roi-calculator:checked~#roi-calculator-panel {
        display: block;
        display: grid;
        place-content: center;
    }

    #loan-calculator:checked~.tabs #loan-calculator-tab,
    #roi-calculator:checked~.tabs #roi-calculator-tab {
        /* color: #000; */
        /* border-top: 3px solid #000; */
        background: #000;
        /* box-shadow: 0 0.5rem 0.8rem #00000080; */
        color: white;
    }
}

@media screen and (max-width: 833.5px) {
    .about-us_project {
        flex-direction: column;
        gap: 24px;
    }

    .about-us_project>div:first-of-type {
        max-width: 100%;
    }

    .about-us-projects-section .project-container {
        margin-bottom: 60px;
    }



    .about-us_project_swiper .swiper-slide {
        max-height: 500px !important;
    }

    .send-email-overlay .contact-infos {
        gap: 0;
        justify-content: space-between;
    }
}


@media screen and (max-width: 767.5px) {

    #floor-1-plan,
    #floor-2-plan {
        padding-block: 70px 30px;
    }

    /*    #floor-2-plan {
        height: 50vh;
        padding-top: 0;
        margin-top: 110px;
    } */

    .floor-flat-numbers {
        opacity: 1 !important;
    }

    .tooltip {
        display: none !important;
    }

    .floor-infos.floor-1-infos,
    .floor-infos.floor-2-infos {
        display: none;
    }

    /* FILTER */
    .filter {
        padding-top: 24px;
    }

    .filter .filter_row {
        display: flex;
        flex-direction: column;
        row-gap: 24px;
        column-gap: 0;
        padding-right: 6px;
    }

    .filter_block {
        margin-top: 0 !important;
    }

    .filter .filter_block.range-container {
        max-width: 100%;
        width: 100%;
    }

    .apdaila-container {
        row-gap: 16px;
        column-gap: 24px;
    }

    .flats-table {
        margin-top: 28px !important;
    }

    .flats-table table {
        border: 0;
    }

    .flats-table table caption {
        font-size: 1.3em;
    }

    .flats-table table thead {
        border: none;
        clip: rect(0 0 0 0);
        height: 1px;
        margin: -1px;
        overflow: hidden;
        padding: 0;
        position: absolute;
        width: 1px;
    }

    .flats-table table tr {
        border-bottom: 3px solid #ddd;
        display: block;
        margin-bottom: 32px;
        border-bottom: 2px solid #000;
    }

    .flats-table table tbody tr:hover {
        background: transparent;
    }

    .flats-table table td {
        display: block;
        font-size: 16px;
        text-align: right;
        padding-inline: 0;
        font-weight: 600 !important;
    }

    .flats-table table td a {
        padding-block: 6.5px;
        line-height: 20px !important;
    }

    .flats-table table td::before {
        content: attr(data-label);
        float: left;
        font-weight: 400;
        text-transform: capitalize;
        position: absolute;
        left: 0;
        top: 50%;
        transform: translateY(-50%);
    }

    .flats-table table td:last-child {
        border-bottom: 0;
    }

    .flats-table table td .btn {
        width: 100%;
        text-align: center;
        font-size: 14px;
    }

    .flats-table table td .btn-container {
        margin-bottom: 8px;
        padding-top: 10px;
    }

    /* SINGLE FLAT */
    .single-flat .container {
        padding-inline: 15px;
    }

    .flat-details-wrapper {
        flex-direction: column;
        margin-bottom: 80px !important;
    }

    .flat-details-wrapper table {
        width: 100%;
    }

    .single-flat .mobile-btns-group {
        display: flex;
        gap: 12px;
    }

    .single-flat .dekstop-btn-group {
        display: none;
    }

    .single-flat .mobile-btn {
        background: black;
        width: 48px;
        height: 48px;
        border-radius: 100px;
        display: grid;
        place-content: center;
    }

    .flat-gallery {
        margin-top: 40px;
    }

    .flat-gallery .flat_gallery-swiper {
        padding-bottom: 26px;
        border-radius: 10px;

    }

    .flat-gallery .swiper-slide {
        border-radius: 0;
        height: 320px;
        border-radius: 10px;
    }

    .flat-gallery .swiper-slide img {
        max-height: 320px;
    }

    .flat-gallery .flat-gallery-swiper-controls {
        bottom: 0;
    }



    /* .calculator .calculator-inputs-container {
        display: flex;
        flex-wrap: wrap;
    }

    .calculator .calculator-inputs-container>div {
        width: 100%;
    } */
    .calculator {
        border-radius: 0px 0 5px 5px;
        padding: 20px;
    }

    .calculator .input-row {
        width: 100%;
    }

    .calculator input[type="number"] {
        max-width: 100%;
    }

    .calculator h2 {
        display: none;
    }

    .mobile-wrap {
        flex-wrap: wrap;
    }

    .single-flat .flat-location {
        height: 50vh;
        padding-top: 0;
    }

    /* ABOUT US */
    .page-template-about-us {
        text-align: center;
    }

    .page-template-about-us .hero-section h1 {
        font-size: 70px;
    }

    .about-us-projects-section {
        padding-inline: 15px;
    }

    .about-us-projects-section h2 {
        font-size: 45px !important;
    }

    .about-us_project_swiper .swiper-slide {
        max-height: 320px !important;
    }

    /* .about-us_swiper_control.swiper-button-prev {
        right: 64px;
    } */
    .about-us-projects-section .zoom {
        width: 50px;
        height: 50px;
    }

    .about-us_swiper_control.swiper-button-next {
        right: 66px;
    }

    .about-us_swiper_control.swiper-button-prev {
        right: 124px;
    }

    .send-email-overlay {
        overflow: scroll;
    }

    .send-email-overlay::before {
        width: 100%;
    }

    .send-email-overlay .left {
        width: 100%;
        padding: 0;
    }

    .send-email-overlay .close-email-overlay {
        right: 15px;
        left: unset;
        top: 42px;
    }

    .send-email-overlay .contact-form-container .input-row {
        display: flex;
        flex-direction: column;
        gap: 12px;
        margin-bottom: 12px;
    }

    .send-email-overlay .contact-infos {
        padding-block: 14px;
        margin-bottom: 24px;
        display: grid;
        gap: 14px;
        place-content: center;
    }

    .send-email-overlay .contact-form-container {
        padding-bottom: 24px;
    }
}